import { FASTElement } from '@microsoft/fast-element';
export declare enum EventName {
    STYLES_CHANGED = "styles-changed",
    DS_CHANGED = "design-system-changed"
}
export interface StyleUpdateEventDetail {
    accentColor: string;
    neutralColor: string;
    bodyFont: string;
    luminance: number;
    density: number;
    designUnit: number;
    borderRadius: number;
    strokeWidth: number;
}
export interface DSUpdateEventDetail {
    prefix: string;
    buttonAppearanceAccent: string;
    buttonAppearanceNeutral: string;
    buttonAppearanceOutline: string;
}
export declare class DesignSystemEditor extends FASTElement {
    ds: string;
    dsChanged(oldValue: string, newValue: string): void;
    darkMode: boolean;
    luminance: number;
    neutralColor: string;
    accentColor: string;
    bodyFont: string;
    density: number;
    borderRadius: number;
    strokeWidth: number;
    designUnit: number;
    changeHandler: (e: CustomEvent) => void;
    modeChangeHandler: (e: CustomEvent) => void;
    styleUpdate: () => void;
    setTokensFromDs: (ds: StyleUpdateEventDetail) => void;
    resetChanges: () => void;
    connectedCallback(): void;
}
//# sourceMappingURL=design-system-editor.d.ts.map