import { Modal } from '@genesislcap/alpha-design-system';
import { GridPro } from '@genesislcap/grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class DesignSystemPreview extends FASTElement {
    grid: GridPro;
    modal: Modal;
    showDialogTrigger: HTMLElement;
    closeDialogTrigger: HTMLElement;
    prefix: string;
    buttonAppearanceAccent: string;
    buttonAppearanceNeutral: string;
    buttonAppearanceOutline: string;
    provider: HTMLElement;
    rowData: {
        make: string;
        model: string;
        price: number;
        creationDate: number;
        isCool: boolean;
    }[];
    columnDefs: {
        field: string;
    }[];
    gridOptions: {
        defaultColDef: {
            resizable: boolean;
            filter: boolean;
        };
        debug: boolean;
        columnDefs: {
            field: string;
        }[];
        rowData: {
            make: string;
            model: string;
            price: number;
            creationDate: number;
            isCool: boolean;
        }[];
    };
    setGridOptions(): void;
    setDialogEventListeners(): void;
    connectedCallback(): void;
    private handleStyleChanges;
    private applyStyleChanges;
    private handleDSChanges;
    private swatchFromColor;
    private paletteFromColor;
}
//# sourceMappingURL=design-system-preview.d.ts.map